CAN_TOCC_Type Union Reference

## Data Fields

struct {
uint32_t ETOC:1
uint32_t TOS:2
uint32_t __pad0__:13
uint32_t TOP:16
} | bit
uint32_t | reg

## Detailed Description

Definition at line 347 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_TOCC_Type::__pad0__

bit: 3..15 Reserved

Definition at line 351 of file can.h.

## bit

struct { ... } CAN_TOCC_Type::bit

Structure used for bit access

## ETOC

uint32_t CAN_TOCC_Type::ETOC

bit: 0 Enable Timeout Counter

Definition at line 349 of file can.h.

## reg

uint32_t CAN_TOCC_Type::reg

Type used for register access

Definition at line 354 of file can.h.

## TOP

uint32_t CAN_TOCC_Type::TOP

bit: 16..31 Timeout Period

Definition at line 352 of file can.h.

## TOS

uint32_t CAN_TOCC_Type::TOS

bit: 1.. 2 Timeout Select

Definition at line 350 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h